%define plugin check_updates
%define nagiospluginsdir %{_libdir}/nagios/plugins

%define debug_package %{nil}

Name:          nagios-plugins-check-updates
Version:       2.0.4
Release:    2%{?dist}
Summary:       A Nagios plugin to check if Red Hat or OpenCloudOS system is up-to-date

License:       GPLv3+
URL:           https://github.com/matteocorti/check_updates
Source0:        https://github.com/matteocorti/check_updates/releases/download/v%{version}/check_updates-%{version}.tar.gz

ExcludeArch: %{ix86}

BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: make
BuildRequires: perl-generators
BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(lib)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Monitoring::Plugin)
BuildRequires: perl(Monitoring::Plugin::Getopt)
BuildRequires: perl(Monitoring::Plugin::Threshold)
BuildRequires: perl(POSIX)
BuildRequires: perl(Readonly)
BuildRequires: perl(strict)
BuildRequires: perl(Test::More)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)

Requires:      nagios-plugins
Requires:      which


Requires:      perl(Monitoring::Plugin)

%description
%{summary}.


%prep
%setup -q -n %{plugin}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{nagiospluginsdir} \
    INSTALLVENDORSCRIPT=%{nagiospluginsdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name "*.pod" -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test


%files
%license COPYING COPYRIGHT
%doc AUTHORS.md Changes NEWS README.md
%{nagiospluginsdir}/*
%{_mandir}/man1/*.1*


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.0.4-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.4-1
- initial build
